PipeWire: pw_client_methods Struct Reference

PipeWire 0.3.5

Data Fields
pw_client_methods Struct Reference

Client methods. More...

## Data Fields
uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct pw_client_events *events, void *data)
int(* | error )(void *object, uint32_t id, int res, const char *message)
| Send an error to a client. More...
int(* | update_properties )(void *object, const struct spa_dict *props)
| Update client properties. More...
int(* | get_permissions )(void *object, uint32_t index, uint32_t num)
| Get client permissions. More...
int(* | update_permissions )(void *object, uint32_t n_permissions, const struct pw_permission *permissions)
| Manage the permissions of the global objects for this client. More...

## Detailed Description

Client methods.

## Field Documentation

## ◆ add_listener

int(* pw_client_methods::add_listener) (void *object, struct spa_hook *listener, const struct pw_client_events *events, void *data)

## ◆ error

int(* pw_client_methods::error) (void *object, uint32_t id, int res, const char *message)

Send an error to a client.

Parameters

  id | the global id to report the error on
  res | an errno style error code
  message | an error string

## ◆ get_permissions

int(* pw_client_methods::get_permissions) (void *object, uint32_t index, uint32_t num)

Get client permissions.

A permissions event will be emited with the permissions.

Parameters

  index | the first index to query, 0 for first
  num | the maximum number of items to get

## ◆ update_permissions

int(* pw_client_methods::update_permissions) (void *object, uint32_t n_permissions, const struct pw_permission *permissions)

Manage the permissions of the global objects for this client.

Update the permissions of the global objects using the provided array with permissions

Globals can use the default permissions or can have specific permissions assigned to them.

Parameters

  n_permissions | number of permissions
  permissions | array of permissions

## ◆ update_properties

int(* pw_client_methods::update_properties) (void *object, const struct spa_dict *props)

Update client properties.

Parameters

  props | new properties

## ◆ version

uint32_t pw_client_methods::version

The documentation for this struct was generated from the following file:

- client.h